window._site.forumUser = "";
$(document).ready( function () {
	window._site.comments( $('div.content div.comments'), [{"id":"1634","username":"kdpowell","comment":"<p>Columns are ordered using <em>0<\/em> as first column on left. In a five column table the columns are numbered for sorting purposes like this: 0,1,2,3,4,5,6.<\/p>\n\n<p>Lets say you want to sort the fourth column (3) descending and the first column (0) ascending: your <code>order:<\/code> would look like this: <code>order: [[ 3, 'desc' ], [ 0, 'asc' ]]<\/code><\/p>\n\n<pre><code class=\"multiline language-js\">$(document).ready(function() {\n    $('#example').DataTable( {\n        order: [[ 3, 'desc' ], [ 0, 'asc' ]]\n    } );\n} );\n<\/code><\/pre>\n","created":"11:08, Wed 10th Feb 2016","parent":null,"version":"1.10.10","children":[]},{"id":"6787","username":"Fay96","comment":"<p>If you want to disable ordering in your table:<\/p>\n\n<pre><code class=\"multiline language-js\">new DataTable('#example', {\n    order: false\n});\n<\/code><\/pre>\n\n<p>And if you don't want to disable ordering, but you don't want the table to already have an order:<\/p>\n\n<pre><code class=\"multiline language-js\">new DataTable('#example', {\n    order: []\n});\n<\/code><\/pre>\n","created":"09:28, Sat 5th Aug 2023","parent":null,"version":"1.13.6","children":[]}] );
} );window._site.page = "examples\/basic_init\/table_sorting.html";

$(document).ready( function () {
	window._site.dynamicLoaded();
} );

window._site.csrfToken = '0b90eae5e46fe195cfb5deeb908b48ddec32839661d1a94d';


function dtAds() {
	var loaded = false;
	var headerAd = true;

	if (window.ethicalads) {
		ethicalads.wait.then(function (placements) {
			if (headerAd) {
				$('div.fw-header').addClass('ad');
			}

			if (! placements.length) {
				$('div.ad').html('<div class="ad-backup"><a href="/purchase">Please consider supporting DataTables by joining us as a supporter or white listing this site in your ad-blocker.</a></div>');
			}
		});
	}
	else {
		$('div.ad').html('<div class="ad-backup"><a href="/purchase">Please consider supporting DataTables by joining us as a supporter or white listing this site in your ad-blocker.</a></div>');
	}

	var run = function () {
		if (! loaded && $(window).width() >= 860) {
			if (window.ethicalads) {
				ethicalads.load();
				loaded = true;
			}
		}
	}

	if ($('div.page-nav').length && $('div.page-nav').is(':visible')) {
		$('div.nav-ad').children()
			.attr('id', 'ad-fixed-nav')
			.prependTo('div.page-nav');
		headerAd = false;
	}
	else if ($('div.fw-sidebar').length) {
		$('div.nav-ad').children()
			.attr('id', 'ad-forum-nav')
			.prependTo('div.fw-sidebar div.sidebar');
		headerAd = false;
		return; // disable
	}
	else {
		$('div.nav-ad').children()
			.attr('id', 'ad-header');
	}

	$(window).on('resize', function (){
		run();
	});

	// Will run immediately if already loaded
	$(document).ready(function() {
		run();
	});
}


